为什么无法删除awn!!!

为当前最终发行版之前的所有版本提供支持
回复
leim
帖子: 2
注册时间: 2008-10-29 19:22
送出感谢: 0
接收感谢: 0

为什么无法删除awn!!!

#1

帖子 leim » 2008-10-29 19:32

每次删除都是如下:

leim@leim-desktop:~$ sudo apt-get remove awn-manager
[sudo] password for leim:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
下列软件包将被【卸载】:
avant-window-navigator awn-manager
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 2 个软件包,有 0 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
操作完成后,会释放 1536kB 的磁盘空间。
您希望继续执行吗?[Y/n]y
(正在读取数据库 ... 系统当前总共安装有 120917 个文件和目录。)
正在删除 avant-window-navigator ...
正在删除 awn-manager ...
dpkg (子进程):无法运行 pre-removal script: Exec 格式错误
dpkg:处理 awn-manager (--remove)时出错:
子进程 pre-removal script 返回了错误号 2
dpkg (子进程):无法运行 post-installation script: Exec 格式错误
dpkg: 作下列清理工作时发生错误:
子进程 post-installation script 返回了错误号 2
在处理时有错误发生:
awn-manager
E: Sub-process /usr/bin/dpkg returned an error code (1)


其它软件也无法安装:
leim@leim-desktop:~$ sudo apt-get install wine
[sudo] password for leim:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
awn-manager: 依赖: avant-window-navigator (>= 0.2) 但是它将不会被安装
wine: 依赖: binfmt-support (>= 1.1.2) 但是它将不会被安装
依赖: lib32nss-mdns (>= 0.10-3) 但是它将不会被安装
依赖: winbind 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
leim@leim-desktop:~$ apt-get -f install
E: 无法打开锁文件 /var/lib/dpkg/lock - open (13 Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
leim@leim-desktop:~$


我是新手,不知道怎么办
leim
帖子: 2
注册时间: 2008-10-29 19:22
送出感谢: 0
接收感谢: 0

Re: 为什么无法删除awn!!!

#2

帖子 leim » 2008-10-29 21:43

怎么没人啊
赤之湖
帖子: 204
注册时间: 2008-09-25 19:57
送出感谢: 0
接收感谢: 0

Re: 为什么无法删除awn!!!

#3

帖子 赤之湖 » 2008-10-29 21:51

您可能需要运行“apt-get -f install”来纠正下列错误:
回复

回到 “老旧版本支持”